Bug 209262 - Review Request: beryl-plugins - Beryl OpenGL window and compositing manager plug-ins
Review Request: beryl-plugins - Beryl OpenGL window and compositing manager ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 209259
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-04 02:21 EDT by Jarod Wilson
Modified: 2008-07-13 01:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 16:01:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-10-04 02:21:05 EDT
Spec URL: http://wilsonet.com/packages/beryl/beryl-plugins.spec
SRPM URL: http://wilsonet.com/packages/beryl/beryl-plugins-0.1.0-1.fc6.src.rpm
Description:
--
Beryl is a combined window manager and compositing
manager that runs on top of Xgl or AIGLX using OpenGL
to provide effects accelerated by a 3D graphics card
on the desktop. Beryl is a community-driven fork of
Compiz.

Beryl has a flexible plug-in system, which the
contents of this package take advantage of.
--

NOTE: This package depends on beryl-core, under review here: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209259.
Comment 1 Jarod Wilson 2006-10-04 02:38:37 EDT
Oops, this is beryl-plugins, not beryl-settings, fixing Summary...
Comment 2 Jarod Wilson 2006-10-26 11:40:02 EDT
Just pushed out a 0.1.1-1 build.

http://wilsonet.com/packages/beryl/beryl-plugins-0.1.1-1.fc6.src.rpm
Comment 3 Chitlesh GOORAH 2006-11-02 12:04:45 EST
This is a RFE:
chitlesh(~)[0]$rpm -qf /usr/share/beryl/cubecaps.png
beryl-plugins-0.1.1-2.fc6

from your repo.

could you remplace that file with /usr/share/rhgb/main-logo.png ?

It's more fedora this way :)

Comment 4 Jarod Wilson 2006-11-06 11:54:11 EST
Rather than replace that file, I've added a Source1 of fedora-cubecaps.png,
which is a copy of rhgb main-logo.png, and edited the default cubecaps setting
to point to the fedora-cubecaps.png. There's a -3 spec and srpm out there now.
Comment 5 Chitlesh GOORAH 2006-11-06 12:12:41 EST
By replacing I mean, asking beryl to pickup /usr/share/rhgb/main-logo.png.

A better solution might be:
Add fedora-logos-6.0.6-1.fc6 as requires and patch/sed appropriately :)

rpm -qf /usr/share/rhgb/main-logo.png
fedora-logos-6.0.6-1.fc6
Comment 6 Jarod Wilson 2006-11-06 13:30:05 EST
Good idea, I'll go that route instead.
Comment 7 Jarod Wilson 2006-11-14 14:15:14 EST
Latest build, using new upstream tarballs:

http://wilsonet.com/packages/beryl/beryl-plugins-0.1.2-2.fc6.src.rpm
Comment 8 Michał Bentkowski 2006-11-15 12:38:15 EST
MUST items:
 * rpmlint is quiet
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (6721bf8bd5fcbe0cabb0a67caa920fcb)
 * package successfully compiles on x86_64
 * BuildRequires listed well (mock builds successfully)
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr
 * proper %clean section
 * macros used well

Looks pretty good for me :)
Approved

Note You need to log in before you can comment on or make changes to this bug.